DEV: fixes broken tests on ember-cli due to uppy (PR #14148)

The import was not found and causing the following error:

Uncaught TypeError: Class extends value undefined is not a constructor or null

GitHub

Merging this to fix my broken dev environment

Merging this to fix my broken dev environment

ok hopefully it doesnt break other things.

@jjaffeux @eviltrout I am pretty sure this will break uppy in non ember cli land…I am starting in 1.5h so I can check then, in the meantime maybe dev upload will break?

I could be wrong though. It seemed to pass the uppy plug-in quint tests? Weird

@martin-brennan the tests were broken before this so it was “less broken” at least! It allowed me to continue.

@jjaffeux @eviltrout I am pretty sure this will break uppy in non ember cli land…I am starting in 1.5h so I can check then, in the meantime maybe dev upload will break?

Very much possible, I only tried to fix tests didnt try app, it was not supposed to be merged :stuck_out_tongue:

Oooh NON ember CLI land. Maybe I should revert?

Yes probably better given martin starts soon, I just wanted to show where the imports fail.

I reverted here: Revert "DEV: fixes broken tests on ember-cli due to uppy" · discourse/discourse@167fcb5 · GitHub